from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComPrefcMedSpOutpat(UltmarcTable):
    """レイアウト区分136: COM_都道府県医療機能情報(専門外来)"""
    dcfhp_id: str               # DCFｺｰﾄﾞ（ﾚｺｰﾄﾞID）
    dcfhp_code: str             # DCFｺｰﾄﾞ（施設ｺｰﾄﾞ）
    dcfhp_yobi: str             # DCFｺｰﾄﾞ（予備）
    specialclinic_name: str     # 専門外来名
    sort_key: str               # ｿｰﾄｷｰ
    sectsub_cd: str             # 分類補助ｺｰﾄﾞ
    adddel_div: str             # 追加削除区分
    maint_flag: str             # 修正区分

    dcfdsf_inst_code: str       # DCFDSF施設コード

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.dcfhp_id = record[1].strip()
        self.dcfhp_code = record[2].strip()
        self.dcfhp_yobi = record[3].strip()
        self.maint_flag = record[4].strip()
        self.specialclinic_name = record[5].strip()
        self.adddel_div = record[6].strip()
        self.sort_key = record[9].strip()
        self.sectsub_cd = record[10].strip()

        # DCFDSF施設コード
        self.dcfdsf_inst_code = ''.join([self.dcfhp_id, self.dcfhp_code, self.dcfhp_yobi])
